curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/compile' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"execute": true,
"query": "string"
}'
{
"bindings": [
{}
],
"evidence": [
{
"claim": "string",
"confidence": 7.5,
"derivation": [],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sources": []
}
],
"ir": null,
"plan": null,
"stats": {
"bindings_found": 1,
"execute_us": 1,
"parse_us": 1,
"plan_us": 1,
"tokenize_us": 1,
"total_us": 1,
"type_check_us": 1
}
}
Handler for POST /api/v1/compile
Required scope: write
POST
/
api
/
v1
/
compile
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/compile' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"execute": true,
"query": "string"
}'
{
"bindings": [
{}
],
"evidence": [
{
"claim": "string",
"confidence": 7.5,
"derivation": [],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sources": []
}
],
"ir": null,
"plan": null,
"stats": {
"bindings_found": 1,
"execute_us": 1,
"parse_us": 1,
"plan_us": 1,
"tokenize_us": 1,
"total_us": 1,
"type_check_us": 1
}
}
Required scope:
write
Request body
CompileRequest
boolean
string
required
Response
CompileResponse
object[]
Evidence[]
Show Evidence
Show Evidence
string
required
The claim this evidence supports
number (float)
required
Overall confidence of the evidence chain
DerivationStep[]
required
string
required
Unique evidence chain ID
any
required
any
required
CompilerStats
required
Status codes
| Code | Meaning |
|---|---|
200 | Compilation succeeded |
400 | Compilation failed |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/compile' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"execute": true,
"query": "string"
}'
{
"bindings": [
{}
],
"evidence": [
{
"claim": "string",
"confidence": 7.5,
"derivation": [],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sources": []
}
],
"ir": null,
"plan": null,
"stats": {
"bindings_found": 1,
"execute_us": 1,
"parse_us": 1,
"plan_us": 1,
"tokenize_us": 1,
"total_us": 1,
"type_check_us": 1
}
}
Last modified on August 31, 2026